<?php
require_once ('../../../Clases/Producto.php');
require_once ('../../../Clases/Compra.php');
 error_reporting(E_ALL);
   ini_set('display_errors', 1);
session_start(); // Inicializar la sesión al principio del archivo
$p = new productos();


// Recibir los datos del formulario
$selectedProducts = $_POST['selectedProducts'];
$productQuantities = $_POST['productQuantities'];




$carrito = isset($_SESSION["carrito"]) ? $_SESSION["carrito"] : array();

foreach ($selectedProducts as $key => $selectedProduct) {
    $parts = explode('-', $selectedProduct);

    $p = new stdClass();
    $p->id = $parts[0];
    $p->nombre = $parts[1];
    $p->precio = $parts[2];
    $p->stock = $parts[3];
    $p->preciobs = $parts[4];
    $p->cantidad = $productQuantities[$key];
    $p->subTotal = $p->precio * $p->cantidad;
    $p->subTotalBs = $p->preciobs * $p->cantidad;

    array_push($carrito, $p);
}

$_SESSION["carrito"] = $carrito;
header("location: ../../compra.php");
?>